MotorWare f2806x Module API Documentation

- Main Page
- Modules
- Data Structures
- Files

Data Structures | Typedefs | Enumerations | Functions
SpinTAC Version

## Data Structures
struct | ST_Ver_t
| Defines the version data. More...

## Typedefs
typedef struct _ST_VER_Handle_ * | ST_VER_Handle

## Enumerations
enum | ST_MathType_e { FIXED_POINT_16b = 0, FIXED_POINT_32b, FLOAT_POINT_32b }
| Defines the math implementations available for the SpinTAC Library. More...

## Functions
static void | ST_getVersionNumber (ST_VER_Handle handle, uint16_t *major, uint16_t *minor, uint16_t *revision)
| Gets the Version Number (Major, Minor, Revision) for SpinTAC Version. More...
static int32_t | ST_getVersionMath (ST_VER_Handle handle)
| Gets the Version Math Implementation (FixedPt) for SpinTAC Version. More...
static int32_t | ST_getVersionDate (ST_VER_Handle handle)
| Gets the Version Date (Date) for SpinTAC Version. More...
static int32_t | ST_getSecureROMVersion (ST_VER_Handle handle)
| Gets the ROM Version Number (SecureROM) for SpinTAC Version. More...
ST_VER_Handle | ST_initVersion (void *pMemory, const size_t numBytes)
| Initializes the SpinTAC Version object. More...

## Detailed Description

## Data Structure Documentation

struct ST_Ver_t

Defines the version data.

The ST_Ver_t object contains all parameters needed to perform the Version function.

Definition at line 57 of file spintac_version.h.

Data Fields
int32_t | Date |
uint_least8_t | Label[10] |
uint16_t | Major |
ST_MathType_e | MathType |
uint16_t | Minor |
uint16_t | Revision |
uint32_t | SecureROM |

## Typedef Documentation

typedef struct _ST_VER_Handle_* ST_VER_Handle

Definition at line 67 of file spintac_version.h.

## Enumeration Type Documentation

enum ST_MathType_e

Defines the math implementations available for the SpinTAC Library.

Enumerator
FIXED_POINT_16b |
FIXED_POINT_32b |
FLOAT_POINT_32b |

Definition at line 48 of file spintac_version.h.

## Function Documentation

static int32_t ST_getSecureROMVersion | ( | ST_VER_Handle | handle | ) |
| inline static

Gets the ROM Version Number (SecureROM) for SpinTAC Version.

Parameters

  [in] | handle | The handle for the SpinTAC Version Object

Returns
  int32_t SecureROM Secure ROM Version Number

Definition at line 103 of file spintac_version.h.

References ST_Ver_t::SecureROM.

static int32_t ST_getVersionDate | ( | ST_VER_Handle | handle | ) |
| inline static

Gets the Version Date (Date) for SpinTAC Version.

Parameters

  [in] | handle | The handle for the SpinTAC Version Object

Returns
  int32_t Date Date the library was compiled { format: YYYYMMDD }

Definition at line 94 of file spintac_version.h.

References ST_Ver_t::Date.

static int32_t ST_getVersionMath | ( | ST_VER_Handle | handle | ) |
| inline static

Gets the Version Math Implementation (FixedPt) for SpinTAC Version.

Parameters

  [in] | handle | The handle for the SpinTAC Version Object

Returns
  ST_MathType_e MathType Math implementation used in library

Definition at line 85 of file spintac_version.h.

References ST_Ver_t::MathType.

static void ST_getVersionNumber | ( | ST_VER_Handle | handle,
|  | uint16_t * | major,
|  | uint16_t * | minor,
|  | uint16_t * | revision
| ) |  |
| inline static

Gets the Version Number (Major, Minor, Revision) for SpinTAC Version.

Parameters

  [in] | handle | The handle for the SpinTAC Version Object
  [out] | *major | Major version number
  [out] | *minor | Minor version number
  [out] | *revision | Revision version number

Definition at line 74 of file spintac_version.h.

References ST_Ver_t::Major, ST_Ver_t::Minor, and ST_Ver_t::Revision.

ST_VER_Handle ST_initVersion | ( | void * | pMemory,
|  | const size_t | numBytes
| ) |  |

Initializes the SpinTAC Version object.

Parameters

  [in] | *pMemory | Pointer to the memory for ST_Ver_t
  [in] | numBytes | The number of bytes in the ST_Ver_t

Returns
  ST_VER_Handle handle The handle for the SpinTAC Version Object